[Numpy-discussion] Build of current Git HEAD for NumPy fails

Dirk Ullrich dirk.ullrich@googlemail....
Fri Aug 19 07:50:18 CDT 2011


Hi Paeru,

2011/8/19 Pearu Peterson <pearu.peterson@gmail.com>:
>
>
> On 08/19/2011 02:26 PM, Dirk Ullrich wrote:
>> Hi,
>>
>> when trying to build current Git HAED of NumPy with - both for
>> $PYTHON=python2 or $PYTHON=python3:
>>
>> $PYTHON setup.py config_fc --fcompiler=gnu95 install --prefix=$WHATEVER
>>
>> I get the following error - here for PYTHON=python3.2
>
> The command works fine here with Numpy HEAD and Python 2.7.
> Btw, why do you specify --fcompiler=gnu95 for numpy? Numpy
> has no Fortran sources. So, fortran compiler is not needed
> for building Numpy (unless you use Fortran libraries
> for numpy.linalg).
>
I do use Lapack. Sorry for not mentioning it.
>> running build_clib
> ...
>>    File "/common/packages/build/makepkg-du/python-numpy-git/src/numpy-build/build/py3k/numpy/distutils/command/build_clib.py",
>> line 179, in build_a_library
>>      fcompiler.extra_f77_compile_args =
>> build_info.get('extra_f77_compile_args') or []
>> AttributeError: 'str' object has no attribute 'extra_f77_compile_args'
>
> Reading the code, I don't see how this can happen. Very strange.
> Anyway, I cleaned up build_clib to follow similar coding convention
> as in build_ext. Could you try numpy head again?
>[...]
Now it seems to work for for Python 3.2 and 2.7.

Thank you very much, Pearu!

Dirk


More information about the NumPy-Discussion mailing list